> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anthid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user

> Returns WorkOS profile information for the authenticated user. The authenticated principal must include a user id; the response name is built from the WorkOS first and last name fields.



## OpenAPI

````yaml /api-reference/organizations.openapi.json get /v1/users/me
openapi: 3.1.0
info:
  title: organizations
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://api.anthid.com
    description: Production
security: []
tags:
  - name: Organizations
    description: Organizations API
paths:
  /v1/users/me:
    get:
      tags:
        - Organizations
      summary: Get current user
      description: >-
        Returns WorkOS profile information for the authenticated user. The
        authenticated principal must include a user id; the response name is
        built from the WorkOS first and last name fields.
      operationId: getCurrentUser
      responses:
        '200':
          description: Current user information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserInfoResponse'
              example:
                email: ada@example.com
                name: Ada Lovelace
        '400':
          description: User id is missing from the authenticated principal
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Missing or invalid authentication credentials
          content:
            text/plain:
              schema:
                type: string
        '429':
          description: Caller exceeded the request rate limit
          content:
            text/plain:
              schema:
                type: string
        '500':
          description: Unexpected server error while reading the user
          content:
            text/plain:
              schema:
                type: string
      security:
        - bearerAuth: []
components:
  schemas:
    GetUserInfoResponse:
      type: object
      required:
        - name
        - email
      properties:
        email:
          type: string
        name:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````